# Damakye Matrix Solver

`damakye_matrixsolver` is a Python package designed to solve systems of linear equations in the form `Ax = b`, where `A` is an n x n matrix and `b` is a vector of constants. The package offers multiple solving methods, including:

- **NumPy** (default)
- **Gaussian Elimination**
- **Row Reduction**
- **LU Decomposition**
- **Gauss-Jordan Elimination**

The package allows the user to choose the preferred solving method interactively.

## Installation

To install the package, you can clone the repository and install it via `setup.py` or use `pip` directly:

```bash
pip install git+https://github.com/yourusername/damakye_matrixsolver.git
